/*
 * Copyright (c) 2021 digitalflash.cards
 * By Dan Tarr
 * All rights reserved
 */

body {
    background-color: #323f52;
    color: #fff;
}

.font-extra-light {
    font-weight: 200;
}

.font-regular {
    font-weight: 400;
}

.font-bold {
    font-weight: 600;
}

.form-control-dark {
    background-color: #172438;
    color: #fff;
}

.form-control-dark:focus {
    background-color: #172438;
    border-color: var(--primary);
    box-shadow: 0 0 0 0.0625rem var(--primary);
    outline: 0;
    color: #fff;
}

.form-control-dark:disabled, .form-control-dark[readonly] {
    background-color: #32363c;
    border-color: #79797b;
}

.input-group-text-dark {
    background-color: transparent;
}

.btn-light, .btn-light:focus {
    color: rgb(209, 205, 200);
    background-color: rgb(27, 30, 31);
    border-color: rgb(50, 54, 56);
    border-radius: 0.15rem;
}

.btn-light:hover {
    color: rgb(209, 205, 200);
    background-color: rgb(38, 41, 43);
    border-color: rgb(57, 62, 64);
}

.btn-light:not(:disabled):not(.disabled).active, .btn-light:not(:disabled):not(.disabled):active, .show > .btn-light.dropdown-toggle {
    color: rgb(209, 205, 200);
    background-color: rgb(42, 45, 47);
    border-color: rgb(59, 64, 66);
}

@media (min-width: 768px) {
    .dropdown-menu:before {
        content: none;
    }
}

.dropdown-menu {
    color: rgb(209, 205, 200);
    list-style-image: initial;
    background-color: rgb(24, 26, 27);
    border-color: rgba(139, 130, 117, 0.15);
}

div.dropdown-menu input[type=search] {
    color: #fff;
    background-color: rgba(255, 255, 255, .1);
    border-color: rgba(255, 255, 255, .1);
}

.bootstrap-select .no-results {
    background-image: initial !important;
    background-color: rgb(30, 32, 33) !important;
}

.dropdown-item {
    color: rgb(209, 205, 200);
    background-color: transparent;
    border-color: initial;
}

.dropdown-item:focus, .dropdown-item:hover {
    color: rgb(217, 213, 209);
    text-decoration-color: initial;
    background-color: rgb(27, 30, 31);
}

.dropdown-item.active, .dropdown-item:active {
    color: #fff;
    text-decoration: none;
    background-color: #502c6c;
}

.btn-light.disabled, .btn-light:disabled {
    color: rgb(209, 205, 200);
    background-color: rgb(27, 30, 31);
    border-color: rgb(50, 54, 56);
    opacity: 0.85;
}

.width-fit-content {
    width: fit-content;
}

button:disabled {
    pointer-events: none;
}

.c-pointer {
    cursor: pointer;
}

.w-40 {
    width: 40% !important;
}

.w-80 {
    width: 80% !important;
}


.navbar-marketing.navbar-dark.navbar-scrolled {
    box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.75);
}
